/**
 * サンプルプログラム2_db: 『<biz-stream_home>/sample/java/Sample2_db.java』
 * ドキュメントレイアウトでPDFを生成するサンプルです。
 *
 * MySQLを使用し、https://dev.mysql.com/doc/index-other.html のサンプルDB "world" が展開されている事が前提です。
 *
 * @author Copyright 2001-2017 Brainsellers.com Corp. All Rights Reserved
 * @version 1.0.0
 * @since 5.0.0
 */

import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Hashtable;

import com.brainsellers.pdf.PDFRuntimeException;
import com.brainsellers.xml.JaxpXML;
import com.brainsellers.xml.common.XMLSuper;

public class Sample2_db {

	public static void main(String args[]) {
		new Sample2_db(args);
		System.exit(0);
	}

	public Sample2_db(String args[]) {
		try {
			Hashtable<String, String> param1 = new Hashtable<String, String>();
			param1.put("param1", "550000");

			// (1) 入出力共にファイル名で指定する
			XMLSuper xml = new JaxpXML(
					"${base-dir}/sample/java/Sample2_db-doc.xml",
					"${base-dir}/sample/java/Sample2_db.pdf");

			// (2) レイアウト情報(XML）の解析を行う
			xml.parse();

			// (3) 用紙サイズ、セキュリティ等の文書情報はドキュメントレイアウトで定義するので
			// アプリケーションでは設定しません。改ページ処理も必要ありません。

			// (4) SQLの可変パラメータを変更する
			xml.setDataSourceParameter("sql-statement", param1);

			// (5) 座標計算を行う
			xml.calcDataSize();

			// (6) ドキュメントレイアウトで指定されているデータソースを使用してデータをマージし
			// PDFを生成する。
			xml.toPDF();

			// (7) PDFを出力する
			xml.close();

		} catch (PDFRuntimeException e) {
			e.printStackTrace();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
